import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext } from "react";
import { isLocaleRTL } from "./isLocaleRTL";
var defaultLocale = {
  direction: "ltr",
  locale: "en-US"
}, LocaleContext = /* @__PURE__ */ createContext(defaultLocale);
function getLocaleDirection(locale) {
  return isLocaleRTL(locale) ? "rtl" : "ltr";
}
function LocaleProvider(props) {
  var direction = props.direction, locale = props.locale, children = props.children, needsContext = direction || locale;
  return needsContext ? /* @__PURE__ */ _jsx(LocaleContext.Provider, {
    value: {
      direction: locale ? getLocaleDirection(locale) : direction,
      locale
    },
    children
  }) : children;
}
function useLocaleContext() {
  return useContext(LocaleContext);
}
export {
  LocaleProvider,
  getLocaleDirection,
  useLocaleContext
};
//# sourceMappingURL=index.js.map
